Start = gideros.class(Sprite)

function Start:init()

	local words = TextField.new(TTFont.new("fonts/Bembo-Std.ttf", 60, true), "Touch the screen to begin")	
	words:setTextColor(0xF9FAFA)
	words:setPosition(20, 200)
	words:setAlpha(1)
	self:addChild(words)

	--set up the onEnterFrame and onMouseUp EventListeners
	self:addEventListener(Event.MOUSE_UP, self.onMouseUp, self)
	self:addEventListener("exitBegin", self.onExitBegin, self)
end	

--removing event on exiting scene
function Start:onExitBegin()
	self:removeEventListener(Event.MOUSE_UP, self.onMouseUp, self)
end

function Start:onMouseUp()
	sceneManager:changeScene("character", 1, SceneManager.flipWithFade)
end
